﻿using System.Text.Json.Serialization;

namespace YPS.Beer.Models;

public class Beer
{
    public int Id { get; set; }
    public string Name { get; set; } = null!;
    public string Tagline { get; set; } = null!;

    [JsonPropertyName("first_brewed")]
    public string FirstBrewed { get; set; } = null!;
    public string Description { get; set; } = null!;

    [JsonPropertyName("image_url")]
    public string ImageUrl { get; set; } = null!;
    public float Abv { get; set; }
    public float Iby { get; set; }

    [JsonPropertyName("food_pairing")]
    public string[] FoodPairing { get; set; } = null!;
}